.TH UEFIReplace 1 "2018-07-23"

.SH NAME
UEFIReplace \- UEFI image file replacement utility

.SH SYNOPSIS
.B UEFIReplace
.IR "image_file guid section_type contents_file" " [" "\fB\-o\fR output" "] [" \fB\-all\fR "] [" \fB\-asis\fR ]

.SH DESCRIPTION
.B UEFITool
is a cross-platform C++/Qt program for parsing, extracting and modifying UEFI firmware images. It supports parsing of full BIOS images starting with the flash descriptor or any binary files containing UEFI volumes.

.SH OPTIONS
.TP
.BI "\-o\fR, \fB\-\-output " output
Set the output file. Default: \fIimage_file\fR.patched
.TP
.B \-all
Replace all occurrences. Default: replace the first occurrence.
.TP
.B \-asis
Replace the section as-is. Default: replace the content body only.

.SH AUTHOR
.B UEFITool
is written by Nikolaj Schlej aka CodeRush.

This manual page was written by
.MT mmyangfl@\:gmail.com
Yangfl
.ME
for the Debian Project (and may be used by others).
